Ubuntu

[gutsy] Open Office applications don't start

Reported by sk0rp10 on 2007-07-24
242
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GLib
Fix Released
Critical
OpenOffice
Invalid
Unknown
glib2.0 (Ubuntu)
Undecided
Unassigned
glibc (Ubuntu)
Undecided
Unassigned
gtk+2.0 (Ubuntu)
Undecided
Unassigned
kdebase (Suse)
Fix Released
Critical
openoffice.org2 (Ubuntu)
Undecided
Unassigned
openoffice.org (Ubuntu)
High
Unassigned

Bug Description

NOTE: DO NOT MARK KDEBASE BUGS AS DUPLICATES OF THIS BUG UNLESS IT IS DETERMINED THE BUG IS IN GLIB FOR CERTAIN!

Binary package hint: openoffice.org

Open Office applications (write, draw...) don't start in Gutsy and Ooo uses nearly 95% of CPU like it was locked on some endless loop.

Installing openoffice.org-gtk corrects the problem.

It appears to need this file to start:

/usr/lib/openoffice/program/libvclplug_gtk680li.so

This bug on konqueror nspluginviewer appears to be a similar issue:

https://bugzilla.novell.com/show_bug.cgi?id=294385

Also this bug details the issue wrt glib:

http://bugzilla.gnome.org/show_bug.cgi?id=463773

---

(process:1590): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:1590): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:1590): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

This is an error message which occours starting soffice from console:

(process:15391): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:15391): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:15391): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

Zdenek Niederle (zdenek) wrote :

I can confirm this. It is happening on two different machines that I use. Each machine started experiencing the problem when I did my daily package upgrades last night/this morning. I'm also experiencing konqueror (nspluginviewer) slamming the processor when trying to load flash content. The relevant section of my dpkg.log is:

2007-07-24 10:26:13 status installed libc6 2.6-3ubuntu1
2007-07-24 10:26:20 status installed libc6-i686 2.6-3ubuntu1
2007-07-24 10:26:20 status installed aptitude 0.4.5.4-1ubuntu1
2007-07-24 10:26:20 status installed laptop-detect 0.13.2
2007-07-24 10:26:20 status installed libdbus-1-3 1.1.1-3ubuntu1
2007-07-24 10:26:21 status installed libsqlite3-0 3.4.1-0ubuntu1
2007-07-24 10:26:21 status installed cpp 4:4.1.2-2ubuntu2
2007-07-24 10:26:21 status installed dbus 1.1.1-3ubuntu1
2007-07-24 10:26:21 status installed gcc 4:4.1.2-2ubuntu2
2007-07-24 10:26:21 status installed libgcj-common 1:4.2.1-0ubuntu2
2007-07-24 10:26:21 status installed libgcj-bc 4.2.1-0ubuntu2
2007-07-24 10:26:21 status installed gij 4:4.2.1-0ubuntu2
2007-07-24 10:26:21 status installed libhal1 0.5.9.1-1ubuntu2
2007-07-24 10:26:21 status installed libhal-storage1 0.5.9.1-1ubuntu2
2007-07-24 10:26:24 status installed hal 0.5.9.1-1ubuntu2
2007-07-24 10:26:24 status installed kubuntu-desktop 1.45
2007-07-24 10:26:24 status installed libdaemon0 0.12-0.1
2007-07-24 10:26:24 status installed libgtk2.0-common 2.11.6-1ubuntu1
2007-07-24 10:26:24 status installed libxext6 2:1.0.3-2build1
2007-07-24 10:26:25 status installed libgtk2.0-0 2.11.6-1ubuntu1
2007-07-24 10:26:25 status installed libice6 2:1.0.3-2ubuntu1
2007-07-24 10:26:25 status installed libxmu6 2:1.0.3-1ubuntu1
2007-07-24 10:26:25 status installed libxaw7 2:1.0.3-3ubuntu1
2007-07-24 10:26:25 status installed libxmuu1 2:1.0.3-1ubuntu1
2007-07-24 10:26:25 status installed libxvmc1 2:1.0.4-2ubuntu1

One of the new package versions must be causing the problem. Looking at the library dependencies I suspect it is one or more of the following:

libc6-i686 2.6-3ubuntu1
libxext6 2:1.0.3-2build1

Zdenek Niederle (zdenek) wrote :

Most likely related to Bug #127876.

Jérôme Pouiller (jezz) wrote :

Same thing for me. I havn't upgrade same packages than Zdenek Niederle. The common subset is:
2007-07-24 14:38:23 status installed libxext6 2:1.0.3-2build1
2007-07-24 14:38:25 status installed libxmu6 2:1.0.3-1ubuntu1
2007-07-24 14:38:25 status installed libxaw7 2:1.0.3-3ubuntu1
2007-07-24 14:38:25 status installed aptitude 0.4.5.4-1ubuntu1
2007-07-24 14:38:25 status installed laptop-detect 0.13.2
2007-07-24 14:38:26 status installed libdaemon0 0.12-0.1
2007-07-24 14:38:26 status installed libxmuu1 2:1.0.3-1ubuntu1
2007-07-24 14:38:26 status installed libxvmc1 2:1.0.4-2ubuntu1
Sure problem doesn't come from openoffice but from one of these libs.

Last Upload of libxmuu1, libxvmc1, libxaw7, libxmu6 and libxext6 was made by <email address hidden>. Is Bryce is aware of this issue?
This upload includes some merges from Debian (But I don't know which ones).

Jérôme Pouiller (jezz) on 2007-07-24
Changed in openoffice.org2:
status: New → Confirmed
sk0rp10 (matteo-andreozzi) wrote :

I think the bug is somewhat in the Glib package, however it seems it has been corrupted by some other packages, since we didn't do an update for this package.

1 comments hidden view all 106 comments
hardhu (qzerty) wrote :

I also have this problem both in an amd64 and in a i386 pc with Openoffice in the first case and Acrobat Reader in the second one.

Gabriel Jacobo (gabomdq) wrote :

I can confirm this issue, running Gutsy AMD64 (compiz and kde-window-decorator enabled, nvidia propietary drivers).

I found a workaround here: http://kubuntuforums.net/forums/index.php?topic=3085219.0

In fact, installing libgtk2.0-0_2.10.11-0ubuntu3 (I downloaded the amd64 version, but the post reports that the i386 has the same effect on that architecture) solves the problem...

I believe this bug is kde related somehow...havent seen it reported by gnome users.

sk0rp10 (matteo-andreozzi) wrote :

Here there is a workaround, which involves installing an older version of libgtk2.0, so it should be a libgtk fault:

http://kubuntuforums.net/forums/index.php?topic=3085219.0

Fred Hermanns (fintan) wrote :

The workaround mentioned above results in a lot of dependencies errors.

The funny thing is I just installed the tribe3 version of ubuntu did an upgrade and did not get any issues with OO 2.2.1-5u3. So I am not sure if this is not a kubuntu only thing or maybe just an upgrade from tribe 2 to tribe 3. I updated / -graded my tribe 2 in kubuntu today and was confronted with this issue.

I tend to agree with Gabriel: "I believe this bug is kde related somehow...havent seen it reported by gnome users."

ChrisDebenham (chris-debenham) wrote :

I can confirm this issue on my gutsy laptop as well.
I am not running kde at all (am running fvwm, but can confirm on gnome as well)

Marco Maini (maini10) wrote :

I can confirm that installing the old package of libgtk2.0, Openoffice works also in i386 platform. It's a good workaround for the moment.

Gabriel Jacobo (gabomdq) wrote :

I found a better workaround...as was mentioned, installing the old package breaks a lot of things, specially Pidgin icons which I couldnt seem to bear...so, I updated the GTK2 library to the newest version, and I dumped the contents of the old package (more exactly the contents of CONTENTs/usr/lib) to /usr/lib/openoffice/program. This does the trick, and the other apps keep working just fine. Obviously, once this issue is solved, I'll have to delete the extracted files.
By the way, without the workaround I can open "soffice", and check the configuration. However, when I enter the "Fonts" item it hangs (it does not hang with the workaround in place). The exact same thing also happens with the "Languages" item (I have spanish localization installed).

Sebastien Bacher (seb128) wrote :

Could you not recommend users to copy files out of the packaging system, that's going to create issues for some of them. If you use an unstable distribution you should be able to deal with breaks or give an hand to fix the issue probably, recommending hacks is not a constructive way

TuxFan (make) wrote :

Same problem here with OO and Acrobat Reader. Should the importance of this bug be decided by someone?

Sebastien Bacher (seb128) wrote :

Changing the settings will not make the bug being fixed, somebody needs to debug it rather

Heiko Sieger (heiko-actcom) wrote :

Confirm the bug on Kubuntu Gutsy. I can hang in a day or two without OO, and hope to see the issue being fixed. Is there anything I can help?

Heiko Sieger (heiko-actcom) wrote :

Well, I just tried the workaround mentioned here:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/128211

Installed with:
$ sudo dpkg -i libgtk2.0-0_2.10.11-0ubuntu3_i386.deb

dpkg - warning: downgrading libgtk2.0-0 from 2.11.6-1ubuntu1 to 2.10.11-0ubuntu3
.
(Reading database ... 123015 files and directories currently installed.)
Preparing to replace libgtk2.0-0 2.11.6-1ubuntu1 (using libgtk2.0-0_2.10.11-0ubuntu3_i386.deb) ...
Unpacking replacement libgtk2.0-0 ...
dpkg: warning - unable to delete old directory `/etc/gtk-2.0': Directory not empty
Setting up libgtk2.0-0 (2.10.11-0ubuntu3) ...

I started ooffice -writer from the terminal and it starts OK, but I got the following errors on the terminal screen:

$ ooffice -writer
X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 148
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 148
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

(process:23641): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:23641): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

(process:23641): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:23641): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
$
(process:23641): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:23641): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

Looks the same as before, but Openoffice DID start. I just checked the spreadsheet and it works too. Yet, the error message remains. Hope it gives someone with more insight a little clue.

Heiko Sieger (heiko-actcom) wrote :

Well, the idea to install an old libgtk2.0 wasn't so good after all. It broke lots of dependencies and I made the mistake to do some upgrades after that - it practically removed everything one needs. I'll be installing for the next day or two.

david.barbion (david-barbion) wrote :

Hello,

When just running soffice from a console, OpenOffice is able to open its
main window, without any type of document (ie: you have to do "new").
I'm able to go to tools->options menu, and then soffice freezes on some
screen options like "fonts" "appearance"... others works as it should.
So it could a gtk+font problem...

David

Ce message et toutes les pièces jointes sont établis à l'attention exclusive de leurs destinataires et sont confidentiels. Si vous recevez ce message par erreur, merci de le détruire et d'en avertir immédiatement l'expéditeur. L'internet ne permettant pas d'assurer l'intégrité de ce message, le contenu de ce message ne représente en aucun cas un engagement de la part de Adeo Services.

Anthony Mercatante (tonio) wrote :

I can confirm this, and also the nspluginviewer with konqueror, which seems to be a linked issue as they appeared at exctely the same moment, causing the same trouble...

Same here - openoffice and konqueror nspluginview both.

ElZorro (zorro4372) wrote :

Hi,
this is an important bug, and needs fixing hopefully very soon.
It is related to libgtk latest version, which is kaput. It is fixed for now by installing the downgraded package libgtk2.0-0_2.10.11-0ubuntu3_i386.deb, but then adept wants to upgrade it and reports a whole swag of broken packages.
The latest libgtk stops openoffice again, chasing ones tail.
Konquero still cannot shrink fonts on a number of web pages including wikipedia and bbc world service, perhaps related?
Best
El Zorro

@ELZorro: I don't think the shrinking font problem in konqueror is related to this bug, it's no bug at all. You can set up a "minimum font size" in konqueror. If the font size of the viewed web site is already at the minimum font size, then you won't be able to shrink further. Just decrease your minimum font size in the settings.

Nicola Rosati (supernaicol) wrote :

I just made an apt-get update && apt-get upgrade, and libgtk upgraded from 2.6.11-6ubuntu1 to 2.6.11-6ubuntu3; but the problem remains... bye you all.

Sebastien Bacher (seb128) wrote :

That might be an openoffice bug

Changed in openoffice.org2:
importance: Undecided → High
hads (hads) wrote :

It does appear to affect nspluginviewer too though.

Fred Hermanns (fintan) wrote :

This was just posted by mbjsscn2 on the Kubuntu forum:

"I had same issue with tribe 3 and found that by installing the following, Openoffice works again: mozilla-openoffice.org openoffice.org-gnome openoffice.org-gtk openoffice.org-kde

I suspect that its the 'openoffice.org-gtk' that makes the difference but I haven't had time to experiment further.

Regards"

I had everything except OO.org-gnome installed (would never have thought of that). Installing OO.org.-gnome on Kubuntu actually does work. I am a bit at a loss why. I mean what is OO.org-gnome doing on KDE?? Maybe the gods that are can explain this.

Thomas Schlesinger (schlesix) wrote :

Fred, thanks for your tip. It works for me.

schnee007 (ls-ps-webhosting) wrote :

Thanks Fred, works for me too.

Fred Hermanns (fintan) wrote :

Any time, but thank mbjsscn2, not me.

Cláudio Caseiro (ccaseiro) wrote :

The Fred tip also worked for me, thanks.

hardhu (qzerty) wrote :

 I have every of the packages mentioned installed, except for mozilla-openoffice.org (that I would prefer not to install, since it has firefox as a dependence, and I don't want to have conflicts with the 32bit firefox I have installe in the i386 chroot), and openoffice still doesn't start.

1 comments hidden view all 106 comments
Marco Maini (maini10) wrote :

In my Pc openoffice works without mozilla-openoffice.org.

Installing openoffice.org-gnome fixed the problem for me. Quite strange anyway.

Christian Schuerer wrote:
> Installing openoffice.org-gnome fixed the problem for me. Quite strange
> anyway.
>
>

Me too. But nspluginviewer for Konqueror is still broken.

When I installed openoffice.org-gnome it also installed openoffice.org-gtk. Those are the only two packages I installed and it worked! Thanks to Christian and Fred (for bringing the fix to launchpad)!

When I run on the command line, I still get this:
(process:6011): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
(process:6011): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
(process:6011): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
(process:6011): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
(process:6011): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

But it works anyway, so I'm not going to worry about it!

Martinus Larsen (martinus) wrote :

I can confirm this in KDE Gutsy as well. Both OOffice at splash, and Konqueror when opening pages with flash content, crashes. Some GLib error. I don't have my laptop here, so I cant paste it exactly.

This, however:

X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 148
  Minor opcode: 3
  Resource id: 0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 168
  Major opcode: 148
  Minor opcode: 3
  Resource id: 0x0
Failed to open device

Is another issue. This is due to the wacom devices beeing enabled by default in xorg.conf. Read here: http://ubuntuforums.org/showthread.php?p=1264009 for more info.

Mat Kupisz (mkupisz) wrote :

Installing openoffice.org-gnome also worked for me. Please note, that before installing this package I had these errors:
(process:13043): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:13043): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:13043): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

And after installing it, it's just this:
(process:13097): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
repeated couple times.

Martin Pitt (pitti) on 2007-08-06
Changed in openoffice.org:
assignee: nobody → ccheney
Changed in glibc:
status: New → Invalid
26 comments hidden view all 106 comments
steph_Z (polariscorp) wrote :

installing : openoffice.org-gtk & openoffice.org-gnome worked for me.

weird

thanks for the tips

Chris Cheney (ccheney) on 2007-08-08
description: updated
Martin Pitt (pitti) wrote :

Seems that this originated from a change in gtk between 2.11.5 and 2.11.6. It still happens with OO.o 2.3.

There is no proper fix in sight for Tribe 4, so we have to bite the bullet and temporarily add -gtk to Kubuntu for now:

 kubuntu-meta (1.48) gutsy; urgency=low
 .
   * Refreshed dependencies
   * Added openoffice.org-gtk to desktop-recommends-i386, desktop-
     recommends-amd64, desktop-recommends-powerpc. This is a temporary
     workaround for LP #127944 for Tribe 4.
   * Added restricted-manager-kde to desktop-recommends-sparc

Moving proper fix target to Tribe 5.

Louai Al-Khanji (slougi) wrote :

ftp://ftp.gtk.org/pub/gtk/2.11 seems to have 2.11.4 as the newest version, where can I see 2.11.5 and 2.11.6?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Louai Al-Khanji ha scritto:
> ftp://ftp.gtk.org/pub/gtk/2.11 seems to have 2.11.4 as the newest
> version, where can I see 2.11.5 and 2.11.6?
>

Newest packages are in gutsy repositories.
Bye
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGuZCg80dn5wbXwGkRAkthAKDShWi++yXROy+NAho2FzqrpLE5CgCfdI3v
0TnZi0DwZtqBr9vPOvtawsA=
=zf41
-----END PGP SIGNATURE-----

Louai Al-Khanji (slougi) wrote :

Well, what I really wanted to do is take a look at the sourcecode and see if I can fix this.

Marco Maini (maini10) wrote :

Martin, I have tested your workaround with Openoffice 2.2 and in my Pc, Openoffice doesn't start without the package openoffice.org-gnome. I don't know what happen with Openoffice 2.3. What version will be released in Tribe 4?

The same hang happens in nspluginviewer whenever showing a web-page that contains flash, and who knows how many other applications might suffer from this.

So please instead of adding workarounds that make openoffice work, instead fix the libgtk-package. What about reverting it to the version without this problem?

Adding openoffice.org-gtk does not help at all for nspluginviewer from konqueror, while installing an older libgtk package solves the whole problem, but breaks package-dependencies.

Chris Cheney (ccheney) on 2007-08-08
description: updated
Congyi Wu (congyiwu) wrote :

Arch Linux seems to ave had the exact same problem: http://www.archlinux.org/news/338/

There was a change in glib that caused openoffice and flash to hang with 100% CPU usage when used *within KDE/Qt*. On Kubuntu Gutsy (upgraded from Feisty), I can confirm the deadlocking in KDE for openoffice (I don't use gnome). Flash (nspluginviewer) hangs every time in Konqueror when I go to a page with flash in it, until I run killall nspluginviewer. Flash works fine in Firefox though.

They fixed the problem by recompiling GTK with the latest version of glib.

Jeff Anderson (jander99) wrote :
Download full text (10.3 KiB)

Here is my strace, in case it can help someone else.
Pretty much it looks to be an issue with glibc/gtk.
I'm running Kubuntu Gutsy.

jeff@lappy486:~$ strace ooffice -writer
execve("/usr/bin/ooffice", ["ooffice", "-writer"], [/* 50 vars */]) = 0
brk(0) = 0x805f000
access("/etc/ld.so.nohwcap", F_OK) = -1 ENOENT (No such file or directory)
mmap2(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7efa000
access("/etc/ld.so.preload", R_OK) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/i686/sse2/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/i686/sse2", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/i686/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/i686", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/sse2/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/sse2", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/tls/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/tls", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/i686/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/i686/sse2/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/i686/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/i686/sse2", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/i686/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/i686/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/i686/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/i686", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/sse2/cmov/libc.so.6", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/home/jeff/qt-copy/lib/sse2/cmov", 0xbfec3328) = -1 ENOENT (No such file or directory)
open("/home/jeff/qt-copy/lib/sse2/libc.so.6", O_RDONLY) = -1 ENOENT (No such file ...

Chris Cheney (ccheney) on 2007-08-08
description: updated

This is NOT a workaround.

openoffice.org-gtk does *not* solve this, you need openoffice.org-gnome as well.

Žygimantas Beručka (zygis) wrote :

Now this upgrade to 2.3.0~src680m224-1ubuntu2 broke it for me too. Previous versions worked fine for me on GNOME, but after this one CPU usage goes to 90% or so and the only option I have is to kill it.

For what it is worth: With the latest upgrades, if I have openoffice-kde installed on AMD64, the program hangs with 100% CPU. If I deinstall openoffice-kde, the application works fine. I did NOT need to install openoffice-gnome.

Batist Paklons (batist) wrote :

This bug not only affects nspluginviewer, but also operapluginwrapper. When trying to access a flash site with opera the process operapluginwrapper goes for the 100% cpu until it dies. Then it is possible to continue browsing with flash content greyed out.

Fred Hermanns (fintan) wrote :

@Christian Vogler: I can confirm on my 32bit system. After todays update and after uninstalling openoffice-kde and openoffice-gnome OO works fine. The issues with flash in Konqueror, and Opera remain as well as the issue with acrobat reader.

Oded Arbel (oded-geek) wrote :

After installing openoffice.org-gnome (and openoffice.org-gtk), oowriter started fine. When I removed the two packages, oowriter reverted back to the previous behavior - consuming 100% in the splash screen, with this output in the console:

(process:29408): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:29408): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:29408): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

(I didn't get this output on the console when openoffice.org-gnome was installed). Installing openoffice.org had no effect - same glib/gdk errors and 100% CPU on splash screen.

Marco Maini (maini10) wrote :

Testing this bug on i1386 with Openoffice 2.3:
openoffice.org-gtk is always required to start;
openoffice.org-gnome is required if you have installed openoffice.org-kde. Removing both these packages, Oo works but in KDE has some appearance problems.

Changed in glib:
status: Unknown → Confirmed
Changed in kdebase:
status: Unknown → In Progress
Changed in openoffice:
status: Unknown → New

Thanks mine got fixed.

Also had:
-------------------------------
$ openoffice

(process:5941): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:5941): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:5941): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed
-------------------------------

I installed "openoffice.org-gtk openoffice.org-gnome" which had "at-spi libatspi1.0-0 libxevie1" as dependency.

I am on Xubuntu Gutsy.

This fixed it for me.

Congyi Wu (congyiwu) wrote :

This probably isn't a permanent solution, since gnome-bugs #463773 make it pretty clear the problem happens because openoffice and flash aren't initializing gtk properly. Archlinux patched glib and then recompiled gtk with the patched glib to revert the changes to glib that are making openoffice deadlock, and for the time being, that might be the best solution for gutsy as well. The patch is in Archlinx's cvs repository at:

http://cvs.archlinux.org/cgi-bin/viewcvs.cgi/lib/glib2/gtype-revert-lock.patch?cvsroot=Current&only_with_tag=CURRENT

Changed in openoffice:
status: New → Invalid
Richard Neal (linuser) wrote :

Yep just updated last night an openoffice still doesnt start, in fact it crashes and consumes all my cpu resources.

(process:21982): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.13.7/gobject/gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:21982): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:21982): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

** (process:21966): WARNING **: Unknown error forking main binary / abnormal early exit ...

Žygimantas Beručka (zygis) wrote :

Congyi Wu, I checked glib 2.13.7-1ubuntu4. The patch is in, but the issue is still persistent.

Changed in glib:
status: Confirmed → Fix Released
Chris Cheney (ccheney) wrote :

There is code that calls a gdk function before it is initialized that caused the hang. I have tested a patch to OpenOffice that corrects the problem. I will be contacting the author of the patch to see if he believes it is good enough to upload with the patch and if so will try to make another upload of OpenOffice by the end of the week.

Thanks,

Chris Cheney

Chris Cheney (ccheney) on 2007-08-15
Changed in openoffice.org2:
status: New → Invalid
Changed in gtk+2.0:
status: New → Invalid
Changed in glib:
status: Fix Released → Invalid

I assume the real problem is
http://bugzilla.gnome.org/show_bug.cgi?id=65041
Can somebody check this?

Chris Cheney (ccheney) wrote :

Please stop marking kdebase nspluginviewer bugs as duplicates of this bug, it should have its own master bug until and unless the problem is determined not to be bug in the applications themselves. I have a fix for the openoffice bug however it does not fix the kdebase bug, etc.

description: updated
Marco Maini (maini10) wrote :

Please see http://bugzilla.gnome.org/show_bug.cgi?id=463773#c10. Someone claims to have a patch for Flash crash and also for Openoffice problem. Thanks.

Matthias Klose (doko) wrote :

is the glib2.0 patch appropriate for gutsy?

I'm not sure if there's a fix released today regarding this bug, but today's upgrade fixed my OpenOffice problem. It's now working perfectly fine.

OpenOffice.org starts fine for me after the last update. Has any fix been released (status change)?

Chris Cheney (ccheney) on 2007-08-28
Changed in openoffice.org:
assignee: ccheney → nobody
status: Confirmed → Fix Released

installed openoffice.org-kde and uninstalled openoffice.org-gtk: openoffice loads without a problem!

Changed in kdebase:
status: In Progress → Fix Released
Milian Wolff (milianw) wrote :

OpenOffice worked for some days now and since the last update (08.31.07 at 22:47 in Berlin) konqueror works as well! Thank you.

According to comments in gnome-bugs #463773, this is not a glib2.0 bug

Changed in glib2.0:
status: New → Invalid

I confirm this bug has been fixed in the latest packages for Gutsy, both for openoffice and for nspluginviewer in Konqueror (bug #127876)

Changed in glib:
status: Invalid → Confirmed
Thomas Schlesinger (schlesix) wrote :

The bug is fixed for me, too, both in nspluginviewer and OpenOffice.

Changed in glib:
status: Confirmed → Fix Released
8200 (8200) wrote :

I have the same problem with Ubuntu 7.10 amd64 having all updates (18.10.2007 09:50) installed.

arthur@arthur-ve3200:~$ openoffice

** (process:8026): WARNING **: Unknown error forking main binary / abnormal early exit ...
arthur@arthur-ve3200:~$

Bart Verwilst (verwilst) wrote :

I have the same problem, fully updated gutsy...

sthorsen (post-sorenthorsen) wrote :

I had the problem too and it disappeared when I fixed a problem with my terminal by pressing ALT+F2 and pasting
gconftool --type float --set /desktop/gnome/font_rendering/dpi 96

A recent upgrade (within the last two weeks) had the same effect for me. I fixed it by reinstalling openoffice.org:
'dpkg -l openoffice.org* | grep ii | cut -d" " -f3 | tr "\n" " " | xargs sudo aptitude reinstall'

Marco Maini (maini10) wrote :

Thanks for your last comments. However, the bug described is not the same reported here. Please refer to this list https://bugs.launchpad.net/ubuntu/+bugs?field.searchtext=WARNING+**%3A+Unknown+error+forking+main+binary+%2F+abnormal+early+exit to find many bugs that look like your problem. If you think that these don't regard your issue, please report a new bug. Thanks again.

Andy Brook (javahollic) wrote :
Download full text (4.1 KiB)

Win Gutsy AMD64, fully patched, I can start Text and Spreadsheet but starting Impress (what I want!) results in :

axb@wb289l:~$ *** glibc detected *** /usr/lib/openoffice/program/soffice.bin: double free or corruption (out): 0x0000000000b79150 ***
======= Backtrace: =========
/lib/libc.so.6[0x2aab31ec3b0a]
/lib/libc.so.6(cfree+0x8c)[0x2aab31ec76fc]
/usr/lib/openoffice/program/libvclplug_gtk680lx.so[0x2aab37f2a378]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN11SalGraphics22GetNativeControlRegionEjjRK6RegionjRK16ImplControlValueR16SalControlHandleRKN3rtl8OUStringERS0_SC_PK12OutputDevice+0x168)[0x2aab2dc293a8]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN6Window22GetNativeControlRegionEjjRK6RegionjRK16ImplControlValueN3rtl8OUStringERS0_S8_+0x112)[0x2aab2dce0212]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN7ListBox6ResizeEv+0x19f)[0x2aab2dd218ef]
/usr/lib/openoffice/program/libvcl680lx.so[0x2aab2dcc8519]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN6Window4ShowEht+0xd6)[0x2aab2dcca886]
/usr/lib/openoffice/program/libsdui680lx.so[0x2aaaba2a90a9]
/usr/lib/openoffice/program/libsdui680lx.so[0x2aaaba2ab28d]
/usr/lib/openoffice/program/libsdui680lx.so[0x2aaaba2951e5]
/usr/lib/openoffice/program/libsd680lx.so[0x2aaab2c0cea0]
/usr/lib/openoffice/program/libsd680lx.so[0x2aaab2c0e14b]
/usr/lib/openoffice/program/libsfx680lx.so(_ZN8SfxShell11ExecuteSlotER10SfxRequestPK12SfxInterface+0x65)[0x2aaaadb0af75]
/usr/lib/openoffice/program/libsd680lx.so[0x2aaab2d4756b]
/usr/lib/openoffice/program/libfwk680lx.so[0x2aaaaea96ab3]
/usr/lib/openoffice/program/libsfx680lx.so[0x2aaaad970e87]
/usr/lib/openoffice/program/libsfx680lx.so(_ZN8SfxShell11ExecuteSlotER10SfxRequestPK12SfxInterface+0x65)[0x2aaaadb0af75]
/usr/lib/openoffice/program/libsfx680lx.so[0x2aaaadabd129]
/usr/lib/openoffice/program/libfwk680lx.so[0x2aaaaeb4e025]
/usr/lib/openoffice/program/libfwk680lx.so[0x2aaaaeb4fa00]
/usr/lib/openoffice/program/libfwk680lx.so[0x2aaaaea159f2]
/usr/lib/openoffice/program/libfwk680lx.so[0x2aaaaea15829]
/usr/lib/openoffice/program/libsfx680lx.so[0x2aaaadb38787]
/usr/lib/openoffice/program/libvcl680lx.so[0x2aab2dcdb1c1]
/usr/lib/openoffice/program/libvclplug_gen680lx.so(_ZN10SalDisplay21DispatchInternalEventEv+0xb6)[0x2aab38dcb826]
/usr/lib/openoffice/program/libvclplug_gtk680lx.so[0x2aab37f0b969]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1c3)[0x2aab36494fd3]
/usr/lib/libglib-2.0.so.0[0x2aab364982dd]
/usr/lib/libglib-2.0.so.0(g_main_context_iteration+0x6e)[0x2aab3649880e]
/usr/lib/openoffice/program/libvclplug_gtk680lx.so[0x2aab37f0d389]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN11Application5YieldEb+0x3e)[0x2aab2dafa84e]
/usr/lib/openoffice/program/libvcl680lx.so(_ZN11Application7ExecuteEv+0x27)[0x2aab2dafa927]
/usr/lib/openoffice/program/soffice.bin(_ZN7desktop7Desktop4MainEv+0x1303)[0x42a553]
/usr/lib/openoffice/program/libvcl680lx.so[0x2aab2db00244]
/usr/lib/openoffice/program/libvcl680lx.so(_Z6SVMainv+0x25)[0x2aab2db00335]
/usr/lib/openoffice/program/soffice.bin(main+0xa8)[0x41d5c8]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2aab31e6fb44]
/usr/lib/openoffice/program/soffice.bin(_ZN6Window15SetPosSizePixelEllllt+0x369)[0x41d489]
======= Memory map: ====...

Read more...

I have 4 users (family) on my home machine - the other 3 use kde.
Almost every day the machine (3GHz core 2 duo) comes to a crawl
when 2 or more nspluginviewer processes
(presumably started by konqueror) use up all cpu time.

Similar problems have been reported by many since July 2007.
The solution seems to be known since August 2007
https://bugzilla.novell.com/show_bug.cgi?id=294385
Now the discussion seems to have ended ...

I am certainly happy that the solution is known,
but I would be nice if it also got implemented (in gutsy).
It does not help just to hear that bug X is a duplicate of bug Y.

I have been killing nspluginviewer processes for months now,
but I am not always around when this is necessary,
and my family is getting frustrated.
(To be honest, even more frustration comes from another bug,
presumably in the nvidia driver used in gutsy,
where the screen just goes black, periodically, for several minutes.)

What am I supposed to do?
Until 5 Months ago, on the previous machine, I used Debian unstable
(for several years, after many years of using Slackware).
I never had to suffer that long from any bug
before a package became available that fixed it.

If the answer is to wait each time for a new release of Ubuntu,
then I would switch back to Debian.
Another answer may be to finally get rid of kde.
(Most problems that I have encountered lately
are due to bad behavior of kde in multi-user environments.)

I am open to good suggestions.

h220 (gif-220hex) wrote :

I agree, this is a very unfortunate situation which cripples web-surfing using Konqueror.
My recent upgrade to Hardy only made things worse :((

Changed in glib:
importance: Unknown → Critical
Changed in kdebase (Suse):
importance: Unknown → Critical
Displaying first 40 and last 40 comments. View all 106 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.